<ion-app>
  <app-header *ngIf="dispatchView; else dataAwaitedBlk" title="Health History"></app-header>
  <ion-content class="eh-px-10">
    <ng-container *ngIf="dispatchView; else dataAwaitedBlk">
      <ng-container *ngIf="isPackageSubscribed; else isPackageNotSubscribedBlk">
        <div class="eh-hide-scrollbars eh-py-0 eh-px-6">


          <mat-tab-group class="e-mat-tab-group e-mat-tab-group--1 e-mat-tab-group--bottom-border-none eh-h-100p"
            animationDuration="0ms" [selectedIndex]="0" [disableRipple]="true">
            <mat-tab label="Health Questionnaire">
              <ng-template matTabContent>
                <div class="eh-mx-10 eh-px-4 eh-ofy-scroll">
                  <app-health-questionnaire></app-health-questionnaire>
                </div>
              </ng-template>
            </mat-tab>

            <mat-tab label="Clinical Assessment">
              <ng-template matTabContent>
                <div class="eh-mx-10 eh-px-4">
                  <app-clinical-assessment-file></app-clinical-assessment-file>
                </div>
              </ng-template>
            </mat-tab>

            <mat-tab label="Advanced Testing Reports">
              <ng-template matTabContent>
                <div class="eh-mx-10 eh-px-4">
                  <app-advanced-test-file></app-advanced-test-file>
                </div>
              </ng-template>
            </mat-tab>

          </mat-tab-group>
          <!-- <ng-container [ngSwitch]="segment">
            <div *ngSwitchCase="'address'">
              <app-health-questionnaire></app-health-questionnaire>
            </div>
            <div *ngSwitchCase="'kyc'">
              <app-clinical-assessment-file></app-clinical-assessment-file>
            </div>
            <div *ngSwitchCase="'digi-kyc'">
              <app-advanced-test-file></app-advanced-test-file>
            </div>
          </ng-container> -->
        </div>
      </ng-container>

      <ng-template #isPackageNotSubscribedBlk>
        <div class="eh-h-100p" fxLayout="column" fxLayoutAlign="center center">
          <span class="e-txt e-txt--placeholder">This is a PRO-member area.</span>
          <span class="e-txt e-txt--placeholder">Please subscribe to a package to access this section.</span>
          <button *ngIf="!me.flags.isOrientationScheduled" mat-stroked-button
            class="e-mat-button e-mat-button--eblue400 eh-mt-8" (click)="showDialog()">
            Resume On-boarding
          </button>
        </div>
      </ng-template>
    </ng-container>
  </ion-content>
  <!-- <app-tabs></app-tabs> -->
  <ng-template #dataAwaitedBlk>
    <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
      <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
    </div>
  </ng-template>

</ion-app>